module top;
   reg r, z, i;
   wire w, o;
   reg [30:0] r31_x;
   reg [31:0] r32_x, r32_z, r32_0, r32_1;
   reg [32:0] r33_0, r33_1, r33_x, r33_z;
   reg [63:0] r64_x, r64_z, r64x_hix, r64_0, r64_1;
   wire [31:0] w32;
   wire [63:0] w64;
   
   mid m1 (o, i);
   
   initial
    begin
       i = 0;
       z = 1'bz;
       
       r32_z = 32'hz;
       r32_0 = 0;
       r32_1 = 1;
       r33_0 = 33'b0_00000000_00000000_00000000_00000000;
       r33_1 = 33'b1_00000000_00000000_00000000_00000000;
       r33_x = 33'bx_00000000_00000000_00000000_00000000;
       r33_z = 33'bz_00000000_00000000_00000000_00000000;
       r64_z = 64'hz;
       r64x_hix = 64'hx0000000000;
       r64_0 = 0;
       r64_1 = 1;
       
       #10
	$display("w=%h, w32=%h. w64=%h", w, w32, w64);
	
       $findx(top, 1);
    end
   
endmodule /* top */
   

module mid (o, i);
   output o;
   input i;
   
   reg rbmid;
   wire wb_mid;

   bot b1 (o, i);
   
endmodule /* mid */
   
   
   
   
   
module bot(o, i);
   output o;
   input i;
   
   reg rb;
   wire wb;
   
   not (o, i);
   
endmodule /* bot */
   
